#!/bin/sh

#
# Change to suit your site
#
HOST=diablo.bricbrac.de
LOGDIR=/var/log/news
BINDIR=/usr/local/bin
WWWDIR=/home/httpd/html
NUMDAYS=14
FIND=find
CD=cd
RM=rm
LN=ln

#
# Anything below here does NOT need changing!
#
DATE=${1:-`date +%y%m%d`}
LOGFILE=$LOGDIR/news.notice
WWWFILE=$WWWDIR/$DATE.html
WWWCURR=current.html

if [ ! -d $WWWDIR ]; then
	mkdir -p $WWWDIR
fi

date
echo "Running feeder-stats.pl ..."
$CD $WWWDIR
$BINDIR/feeder-stats.pl -v -d $DATE -D $NUMDAYS -s $HOST -l $LOGFILE -o $WWWFILE -w $WWWDIR
$FIND $WWWDIR -type f -name "[0-9]*" -mtime +90 | xargs $RM -f 
$RM -f $WWWCURR
$LN -s $DATE.html $WWWCURR

date
echo ""

exit 1
